#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE6,0xFC,0x79,0x94,0x16,0xA4,0xD8,0xB3,0x31,0x19,0x4F,0x7B,
		0x89,0xD6,0x6D,0xDC,0xA8,0x7E,0xA0,0x63,0x53,0x8C,0x0C,0xB8,
		0xD0,0xE9,0xB0,0x09,0xD5,0x38,0x28,0xD2,0xDC,0x37,0x1C,0x91,
		0x73,0x06,0x29,0x54,0x34,0x5C,0x1B,0x5B,0x79,0x04,0xE4,0x9B,
		0x8E,0x74,0xB5,0xDF,0xF5,0x0A,0x25,0x5A,0x78,0x0E,0xF9,0x4E,
		0x52,0xFE,0x66,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
